<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddNotiscallToNotisPeringatanTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('notisperingatan', function (Blueprint $table) {
            $table->date('tarikhcall1')->nullable();
            $table->date('tarikhcall2')->nullable();
            $table->string('remark1')->nullable();
            $table->string('remark2')->nullable();
            $table->integer('statuscall')->default(0);
            $table->string('caller')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        // Schema::table('notisperingatan', function (Blueprint $table) {
        //     $table->dropColumn(['tarikhcall1']);
        //     $table->dropColumn(['tarikhcall2']);
        //     $table->dropColumn(['remark1']);
        //     $table->dropColumn(['remark2']);
        // });
    }
}
